/*
  This class defines we will structure
  address data as a Java object.
*/

public class Address
{
   String firstName,
          lastName,
          company,
          number,
          street,
          city,
          state,
          zip;

   // default constructor
   public Address()
   {
      firstName = "";
      lastName = "";
      company = "";
      number = "";
      street = "";
      city = "";
      state = "";
      zip = "";
   }

   public void setFirst(String firstName)
   {
      this.firstName = firstName;
   }

   public void setLast(String lastName)
   {
      this.lastName = lastName;
   }

   public void setCompany(String company)
   {
      this.company = company;
   }

   public void setNumber(String number)
   {
      this.number = number;
   }

   public void setStreet(String street)
   {
      this.street = street;
   }

   public void setCity(String city)
   {
      this.city = city;
   }

   public void setState(String state)
   {
      this.state = state;
   }

   public void setZip(String zip)
   {
      this.zip = zip;
   }

   public String toString()
   {
      String result = "";

      if ( !firstName.equals("") )
         result += firstName + " ";
      if ( !lastName.equals("") )
         result += lastName + "\n";
      if ( !company.equals("") )
         result += company + "\n";
      result += number + " " + street + "\n";
      result += city + ", " + state + " " + zip + "\n";

      return result;
   }

}//Address